from launch import LaunchDescription
from launch_ros.actions import Node
from launch.actions import ExecuteProcess
from launch.substitutions import LaunchConfiguration
from launch.conditions import IfCondition

def generate_launch_description():
    return LaunchDescription([
        ExecuteProcess(
            cmd=["ros2","launch","livox_ros_driver2","msg_MID360_launch.py"],
            output="screen"
        ), 
        # 等待一段时间确保相机启动完成
        ExecuteProcess(
            cmd=['sleep', '2'],
            output='screen'
        ),
        Node(
            package='dist_dev',
            executable='dist_dev_node',
            name='dist_dev_node',
            output='screen',
            parameters=[]
        )
    ])

